// Fill out your copyright notice in the Description page of Project Settings.


#include "Characters/ExoCharacterBase.h"

AExoCharacterBase::AExoCharacterBase()
{
	PrimaryActorTick.bCanEverTick = false;

	Weapon = CreateDefaultSubobject<USkeletalMeshComponent>("Weapon");
	Weapon->SetupAttachment(GetMesh(), FName("WeaponHandSocket"));
	Weapon->SetCollisionEnabled(ECollisionEnabled::NoCollision);

}

void AExoCharacterBase::BeginPlay()
{
	Super::BeginPlay();
	
}



